=head1 NAME

Gtk2::CellRendererPixbuf - wrapper for GtkCellRendererPixbuf

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererPixbuf



=cut


=head1 METHODS

=head2 cellrenderer = Gtk2::CellRendererPixbuf-E<gt>B<new> 



=cut


=head1 PROPERTIES

=over

=item 'follow-state' (boolean : default false : readable / writable / private)

Whether the rendered pixbuf should be colorized according to the state

=item 'gicon' (Glib::Object::_Unregistered::GIcon : default undef : readable / writable / private)

The GIcon being displayed

=item 'icon-name' (string : default undef : readable / writable / private)

The name of the icon from the icon theme

=item 'pixbuf' (Gtk2::Gdk::Pixbuf : default undef : readable / writable / private)

The pixbuf to render

=item 'pixbuf-expander-closed' (Gtk2::Gdk::Pixbuf : default undef : readable / writable / private)

Pixbuf for closed expander

=item 'pixbuf-expander-open' (Gtk2::Gdk::Pixbuf : default undef : readable / writable / private)

Pixbuf for open expander

=item 'stock-detail' (string : default undef : readable / writable / private)

Render detail to pass to the theme engine

=item 'stock-id' (string : default undef : readable / writable / private)

The stock ID of the stock icon to render

=item 'stock-size' (Glib::UInt : default 1 : readable / writable / private)

The GtkIconSize value that specifies the size of the rendered icon

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::CellRenderer>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

